excelan inc sets initial stock offer excelan inc said making initial public offering shares common stock per share excelan said shares sold company shares sold stockholders excelan designs manufactures computer related products